## org.mariadb.jdbc.internal
Class MariaDbServerCapabilities

    java.lang.Object
      org.mariadb.jdbc.internal.MariaDbServerCapabilities

    public class MariaDbServerCapabilities

extends Object

Field Summary
`static int` `CLIENT_DEPRECATE_EOF`
`static int` `CLIENT_INTERACTIVE`
`static int` `CLIENT_MYSQL`
`static int` `CLIENT_PROTOCOL_41`
`static int` `CLIENT_SESSION_TRACK`
`static int` `COMPRESS`
`static int` `CONNECT_ATTRS`
`static int` `CONNECT_WITH_DB`
`static int` `FOUND_ROWS`
`static int` `IGNORE_SIGPIPE`
`static int` `IGNORE_SPACE`
`static int` `LOCAL_FILES`
`static int` `LONG_FLAG`
`static long` `MARIADB_CLIENT_COM_MULTI`
`static long` `MARIADB_CLIENT_PROGRESS`
`static int` `MULTI_RESULTS`
`static int` `MULTI_STATEMENTS`
`static int` `NO_SCHEMA`
`static int` `ODBC`
`static int` `PLUGIN_AUTH`
`static int` `PLUGIN_AUTH_LENENC_CLIENT_DATA`
`static int` `PROGRESS_OLD`
`static int` `PS_MULTI_RESULTS`
`static int` `RESERVED`
`static int` `SECURE_CONNECTION`
`static int` `SSL`
`static int` `TRANSACTIONS`

Constructor Summary
`MariaDbServerCapabilities()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLIENT_MYSQL

    public static final int CLIENT_MYSQL

See Also:
  Constant Field Values

### FOUND_ROWS

    public static final int FOUND_ROWS

See Also:
  Constant Field Values

### LONG_FLAG

    public static final int LONG_FLAG

See Also:
  Constant Field Values

### CONNECT_WITH_DB

    public static final int CONNECT_WITH_DB

See Also:
  Constant Field Values

### NO_SCHEMA

    public static final int NO_SCHEMA

See Also:
  Constant Field Values

### COMPRESS

    public static final int COMPRESS

See Also:
  Constant Field Values

### ODBC

    public static final int ODBC

See Also:
  Constant Field Values

### LOCAL_FILES

    public static final int LOCAL_FILES

See Also:
  Constant Field Values

### IGNORE_SPACE

    public static final int IGNORE_SPACE

See Also:
  Constant Field Values

### CLIENT_PROTOCOL_41

    public static final int CLIENT_PROTOCOL_41

See Also:
  Constant Field Values

### CLIENT_INTERACTIVE

    public static final int CLIENT_INTERACTIVE

See Also:
  Constant Field Values

### SSL

    public static final int SSL

See Also:
  Constant Field Values

### IGNORE_SIGPIPE

    public static final int IGNORE_SIGPIPE

See Also:
  Constant Field Values

### TRANSACTIONS

    public static final int TRANSACTIONS

See Also:
  Constant Field Values

### RESERVED

    public static final int RESERVED

See Also:
  Constant Field Values

### SECURE_CONNECTION

    public static final int SECURE_CONNECTION

See Also:
  Constant Field Values

### MULTI_STATEMENTS

    public static final int MULTI_STATEMENTS

See Also:
  Constant Field Values

### MULTI_RESULTS

    public static final int MULTI_RESULTS

See Also:
  Constant Field Values

### PS_MULTI_RESULTS

    public static final int PS_MULTI_RESULTS

See Also:
  Constant Field Values

### PLUGIN_AUTH

    public static final int PLUGIN_AUTH

See Also:
  Constant Field Values

### CONNECT_ATTRS

    public static final int CONNECT_ATTRS

See Also:
  Constant Field Values

### PLUGIN_AUTH_LENENC_CLIENT_DATA

    public static final int PLUGIN_AUTH_LENENC_CLIENT_DATA

See Also:
  Constant Field Values

### CLIENT_SESSION_TRACK

    public static final int CLIENT_SESSION_TRACK

See Also:
  Constant Field Values

### CLIENT_DEPRECATE_EOF

    public static final int CLIENT_DEPRECATE_EOF

See Also:
  Constant Field Values

### PROGRESS_OLD

    public static final int PROGRESS_OLD

See Also:
  Constant Field Values

### MARIADB_CLIENT_PROGRESS

    public static final long MARIADB_CLIENT_PROGRESS

See Also:
  Constant Field Values

### MARIADB_CLIENT_COM_MULTI

    public static final long MARIADB_CLIENT_COM_MULTI

See Also:
  Constant Field Values

Constructor Detail

### MariaDbServerCapabilities

    public MariaDbServerCapabilities()

Copyright © 2017. All rights reserved.